﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;

namespace Convertor.Interface
{
    public abstract class PluginConfigForm : UserControl, IPluginConfig, IFormGetConfigEvent, IPluginHistory, IPluginParentWindow
    {
        #region IPluginConfig 成员

        abstract public object Config { get; set; }

        #endregion

        #region IConfigFormEvent 成员

        abstract public object GetConfig();

        #endregion

        #region IPluginHistory 成员

        public List<object> InputHistory
        {
            set;
            protected get;
        }

        abstract public object Input { get; protected set; }

        #endregion
        
        #region IPluginParentWindow 成员

        public Window ParentWindow { get; set; }

        #endregion
    }
}
