﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Convertor
{
    /// <summary>
    /// 
    /// </summary>
    public class PrcessingPluginViewModel : INotifyPropertyChanged
    {
        private string processingPluginName;
        /// <summary>
        /// Current output plugin name
        /// </summary>
        public string ProcessingPluginName
        {
            get { return processingPluginName; }
            set { processingPluginName = value; if (PropertyChanged != null) { PropertyChanged(this, new PropertyChangedEventArgs("Str")); } }
        }
        private string showModified;
        /// <summary>
        /// Show current template is whether modified (use * to show modified)
        /// </summary>
        public string ShowModified
        {
            get { return showModified; }
        }
        /// <summary>
        /// Set Template is modified
        /// </summary>
        public bool Modified
        {
            set { showModified = value == true ? "*" : ""; if (PropertyChanged != null) { PropertyChanged(this, new PropertyChangedEventArgs("ShowModified")); } }
        }

        #region INotifyPropertyChanged 成员

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion
    }
}
