﻿using Convertor.Interface;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Convertor
{
    public class TemplateToLoadViewModel : IEquatable<string>, ITemplateToLoadViewModel
    {
        public string Name{get;set;}
        public string Description { get; set; }
        public string Path { get; set; }
        public string UniqueId { get; set; }

        public bool Equals(string other)
        {
            return UniqueId == other;
        }
        public override string ToString()
        {
            return Name;
        }
    }
}
