﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Convertor.Plugin
{
    /// <summary>
    /// Plugin input content history(not using now)
    /// </summary>
    [Serializable]
    public class HistoryContent : IEquatable<HistoryContent>
    {
        private string path;

        public string Path
        {
            get { return path; }
            set { path = value; }
        }
        private object hisotry;

        public object Hisotry
        {
            get { return hisotry; }
            set { hisotry = value; }
        }

        #region IEquatable<HistoryContent> 成员

        public bool Equals(HistoryContent other)
        {
            if (this.hisotry == null)
            {
                return false;
            }
            bool b = this.Hisotry.GetHashCode() == other.Hisotry.GetHashCode() && this.Path == other.Path;
            return b;
        }

        #endregion
    }
}
