﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Timers;

namespace Convertor.Interface
{
    public interface IConvertHelper
    {
        Convertor.Interface.IConvertParamters Convert(Convertor.Interface.IConvertParamters content, Convertor.Interface.IPluginItem item);
        Convertor.Interface.LogDelegate Log { set; }
        Convertor.Interface.IConvertParamters OutputFunc(Convertor.Interface.IConvertParamters content, System.Collections.ObjectModel.Collection<Convertor.Interface.IPluginItem> selectedPlugins, object parentOutput = null);
        Convertor.Interface.IConvertParamters ParentContent { get; set; }
        Convertor.Interface.IPluginItem RunToPluginItem { get; set; }
        event ElapsedEventHandler Elapsed;
    }
}
