﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Wpf.CommonTools;

namespace Convertor.Interface
{
    /// <summary>
    /// 读取配置文件窗口接口
    /// </summary>
    public interface IManagePluginControl
    {
        /// <summary>
        /// 全部插件
        /// </summary>
        ObservableDictionary<string, object> AllPlugins { get; set; } //插件列表
        /// <summary>
        /// 选中的插件
        /// </summary>
        IPluginsItemCollection SelectedPlugins { get; set; } 
        ///// <summary>
        ///// 子插件
        ///// </summary>
        //ISelectedPluginsContainer SelectedPlugins { get; set; }
        /// <summary>
        /// 当前插件(父插件)
        /// </summary>
        IPluginItem CurrentPlugin { get; set; }
        /// <summary>
        /// 默认模板路径
        /// </summary>
        string TempPluginsPath { get; set; }
    }
}
