﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Convertor.Interface
{
    /// <summary>
    /// 插件历史记录(如果插件继承该接口，则可以使插件输入内容记录到历史记录中)
    /// </summary>
    public interface IPluginHistory
    {
        /// <summary>
        /// 设置插件的历史记录
        /// </summary>
        List<object> InputHistory { set; }
        /// <summary>
        /// 获取插件输入的内容，用于记录到历史记录中
        /// </summary>
        object Input { get; }
    }
}
