﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Convertor.Interface
{
    public enum LogTypes
    {
        Error = 1,
        Alert = 2,
        Normal = 4,
        HidePluginName = 8,
    }
    /// <summary>
    /// 日志记录委托
    /// </summary>
    /// <param name="value"></param>
    public delegate void LogDelegate(object sender, string value, LogTypes logType = LogTypes.Normal);
    /// <summary>
    /// 记录日志接口
    /// </summary>
    public interface IPluginLog
    {
        /// <summary>
        /// 记录日志
        /// </summary>
        LogDelegate Log { set; }
    }
}
