﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Data;
using Wpf.CommonTools.EnumExtension;

namespace Convertor.Plugin.InputAndOutput
{
    class OperateTextVisibleConvertor : IValueConverter
    {
        #region IValueConverter 成员

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            OperateTypes type = parameter == null 
                ? OperateTypes.Combine :
                (OperateTypes)Enum.Parse(typeof(OperateTypes), parameter.ToString());
            if (value == null)
            {
                return Visibility.Visible;
            }
            else
            {
                return type == (OperateTypes)value ? Visibility.Visible : Visibility.Collapsed;
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
