﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using Wpf.CommonTools.SystemExtension;

namespace Convertor.Plugin.InsertText
{
    class StartTypeConvertor : IValueConverter
    {
        #region IValueConverter 成员

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            StartTypes t = (StartTypes)value;
            string rValue;
            switch (t)
            {
                default:
                case StartTypes.Start:
                    rValue = UILanguage.FindResource("Plugin_InsertText_StartType_Start");
                    break;
                case StartTypes.End:
                    rValue = UILanguage.FindResource("Plugin_InsertText_StartType_End");
                    break;
            }
            return rValue;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
