﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using System.Windows.Media;
using Convertor.Interface;

namespace Convertor
{
    class LogTypeToColorConverter : IValueConverter
    {
        #region IValueConverter 成员

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            SolidColorBrush brush;
            LogTypes logType = (LogTypes)value;
            if (logType.HasFlag(LogTypes.Alert))
            {
                brush = Brushes.Orange;
            }
            else if (logType.HasFlag(LogTypes.Error))
            {
                brush = Brushes.Red;
            }
            else
            {
                brush = Brushes.Black;
            }
            return brush;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
