﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using Wpf.CommonTools.SystemExtension;

namespace Convertor
{
    class TemplateNameConverter : IValueConverter
    {
        #region IValueConverter 成员

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            TemplateToLoadViewModel v = value as TemplateToLoadViewModel;
            return v.Path.StartsWith(Config.SystemTemplatePath) == true
                ? UILanguage.TryFindResource("System") + " - " + v.Name
                : v.Name;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
