﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Data;
using Wpf.CommonTools.SystemExtension;

namespace Convertor
{
    class TickToTimeStringConverter : IValueConverter
    {
        #region IValueConverter 成员

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (DesignerProperties.GetIsInDesignMode(new DependencyObject()))
            {
                return string.Format(UILanguage.TryFindResource("Status_UsingTime"), 0);
            }
            else if (value == null || value.Equals("0"))
            {
                return string.Empty;
            }
            else
            {
                return string.Format(UILanguage.TryFindResource("Status_UsingTime"), value);
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
